Home / Resources / API Reference

Lifecycle

Base route: /api/lifecycle

Create lifecycle

This API endpoint creates a new software delivery lifecycle. A lifecycle defines the phases and environments through which an application progresses.

Request

Parameters
workspaceId
string
required
The unique identifier of the workspace.
name
string
required
The display name of the lifecycle.
phases
array
required
A list of phase objects defining the deployment workflow.
Request body

POST /api/lifecycle {   "workspaceId": "string",   "name": "string",   "description": "string",   "phases": [     {       "phaseId": "string",       "name": "string",       "sortOrder": 0,       "environments": []     }   ] }

Response

Parameters
lifecycleId
string
The unique ID of the newly created lifecycle.
Response body

{   "lifecycleId": "string" }